Subject: Re: more nl80211 stuff

From: Johannes Berg <[email-masked]>
Date: Thu, 14 Sep 2006 15:55:46 +0200

On Thu, 2006-09-14 at 09:41 -0400, Dan Williams wrote:

> Can you describe a bit more what the scope of each of nl80211 and
> cfg80211 is?  Not sure I entirely understand the split and where the
> line is drawn.

Basically, I figured that cfg80211 is the kernel-internal interface and
nl80211 is just the primary userspace interface with WE compatibility
being a second one and possibly partial configurability in configfs
later. All drivers need to care about is cfg80211, hence I made the
split explicit.

johannes